Subject: Re: bug#10555: automake: wrong use of F77FLAGS instead of FFLAGS?

From: Peter Rosin <[email-masked]>
Date: Sun, 22 Jan 2012 20:00:39 +0100

Stefano Lattarini skrev 2012-01-21 10:26:
> On 01/20/2012 09:08 PM, Peter Rosin wrote:
>> Stefano Lattarini skrev 2012-01-20 20:53:
>>> On 01/19/2012 02:45 PM, Stefano Lattarini wrote:
>>>>
>>>> [SNIP]
>>>>
>>>> So, to all autoconfers: do you happen to know any reason for which Automake
>>>> should use F77FLAGS? If not, I'll assume that is due to a typo or clerical
>>>> mistake, and fix it (in 48 hours or so).
>>>>
>>> The attached patch should take care of this.  I'll push it tomorrow if there
>>> is no objection.
>>
>> Isn't this worthy of a NEWS entry?  Or does it not affect end users at all?
>>
> The bug only affected the "hints" printed by automake in some error messages
> (e.g., "The usual way to define `F77' is to add AC_PROG_F77 to configure.ac"),
> and I believe that is so minor not to require a NEWS entry.  Anyway, I see
> this fact wasn't apparent from my commit message, so I've amended it to be
> clearer.  Attached is the patch I've pushed.  If you are still convinced it
> deserves a NEWS entry anyway, feel free to write one; I won't object.

Ok, in that case a NEWS entry is not needed.  I should have mentioned that I
only thought it was needed in case you had forgotten about it...

Cheers,
Peter